% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/model.R
\name{predict.keras.engine.training.Model}
\alias{predict.keras.engine.training.Model}
\title{Generate predictions from a Keras model}
\usage{
\method{predict}{keras.engine.training.Model}(object, x, batch_size = NULL,
  verbose = 0, steps = NULL, ...)
}
\arguments{
\item{object}{Keras model}

\item{x}{Input data (vector, matrix, or array)}

\item{batch_size}{Integer}

\item{verbose}{Verbosity mode, 0 or 1.}

\item{steps}{Total number of steps (batches of samples) before declaring the
evaluation round finished. Ignored with the default value of \code{NULL}.}

\item{...}{Unused}
}
\value{
vector, matrix, or array of predictions
}
\description{
Generates output predictions for the input samples, processing the samples in
a batched way.
}
\seealso{
Other model functions: \code{\link{compile}},
  \code{\link{evaluate.keras.engine.training.Model}},
  \code{\link{evaluate_generator}},
  \code{\link{fit_generator}}, \code{\link{fit}},
  \code{\link{get_config}}, \code{\link{get_layer}},
  \code{\link{keras_model_sequential}},
  \code{\link{keras_model}}, \code{\link{multi_gpu_model}},
  \code{\link{pop_layer}}, \code{\link{predict_generator}},
  \code{\link{predict_on_batch}},
  \code{\link{predict_proba}},
  \code{\link{summary.keras.engine.training.Model}},
  \code{\link{train_on_batch}}
}
